%define name	aptitude
%define release	2mdk
%define version	0.3.3

Summary:	Curses-based apt frontend
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	GPL
Url:		http://packages.qa.debian.org/a/aptitude.html
Group:		System/Configuration/Packaging

Source: http://http.us.debian.org/debian/pool/main/a/%{name}/%{name}-%{version}.tar.bz2
Patch0: aptitude-0.3.3-alt-cnc-rpm.patch.bz2
Patch1: aptitude-0.3.3-automake.patch.bz2
Patch5: aptitude-0.3.3-build-fixes.patch.bz2

BuildRequires:	libncursesw-devel libapt-pkg-devel libsigc++2.0-devel gettext-devel
BuildRequires:  automake1.8 autoconf2.5
BuildRequires:	docbook-dtd42-xml docbook-style-xsl html2text
Buildroot:	%{_tmppath}/%{name}-root

%description
Aptitude is a curses-based apt frontend with a number of useful extended 
features, including: a mutt-like syntax for matching packages in a flexible 
manner, persistence of user actions, and extreme flexibility and customization. 

%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .apt-rpm
%patch1 -p1 -b .automake
%patch5 -p1 -b .build-fix

%build
libtoolize --copy --force
# (cjw) don't use macros shipped in m4/*, they break x86-64 builds
aclocal-1.8
automake-1.8 -a -c
autoconf-2.5x
CPPFLAGS=-DRPM_VERSION=0x040402
export CPPFLAGS
%configure2_5x --disable-werror
%make

make check

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall
%find_lang %name

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %name.lang
%defattr(-, root, root)
%dir %{_datadir}/aptitude
%{_datadir}/aptitude/*
%{_bindir}/aptitude
%{_docdir}/aptitude
%{_mandir}/man8/aptitude.8.*
%{_mandir}/man8/aptitude.fr.8.*
%{_mandir}/*/man8/aptitude.8.*
%dir %{_localstatedir}/aptitude


%changelog
* Sun Sep 04 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-2mdk
- fix x86-64 build: do not use m4 macros supplied with sources

* Sat Aug 27 2005 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.3.3-1mdk
- 0.3.3
- update altlinux patch to 0.3.1 and rediff for 0.3.3
- rediff patch1
- drop patches 2,3,4 - merged into patch5: build fixes

* Fri Jul 30 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-2mdk
- fix build with new autotools
- rebuild with gcc 3.4

* Tue Jan 20 2004 Christiaan Welvaart <cjw@daneel.dyndns.org> 0.2.13-1mdk
- initial package

